Patch a CRM Person
Update a CRM person via the Zeeg CRM API by sending only the contact fields to change, including single social links; the rest stays intact.
curl --request PATCH \
--url https://api.zeeg.me/v2/crm/people/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"salutation": "<string>",
"emails": [
"jsmith@example.com"
],
"jobTitle": "<string>",
"description": "<string>",
"phoneNumber": "<string>",
"primaryLocation": "<string>",
"avatarUrl": "<string>",
"companyId": "<string>",
"socials": {
"linkedin": "<string>",
"twitter": "<string>",
"facebook": "<string>",
"instagram": "<string>"
}
}
'import requests
url = "https://api.zeeg.me/v2/crm/people/{id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"salutation": "<string>",
"emails": ["jsmith@example.com"],
"jobTitle": "<string>",
"description": "<string>",
"phoneNumber": "<string>",
"primaryLocation": "<string>",
"avatarUrl": "<string>",
"companyId": "<string>",
"socials": {
"linkedin": "<string>",
"twitter": "<string>",
"facebook": "<string>",
"instagram": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
salutation: '<string>',
emails: ['jsmith@example.com'],
jobTitle: '<string>',
description: '<string>',
phoneNumber: '<string>',
primaryLocation: '<string>',
avatarUrl: '<string>',
companyId: '<string>',
socials: {
linkedin: '<string>',
twitter: '<string>',
facebook: '<string>',
instagram: '<string>'
}
})
};
fetch('https://api.zeeg.me/v2/crm/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"person": {
"id": "b2c3d4e5-f6a7-8901-bcde-f23456789012",
"firstName": "Jane",
"lastName": "Doe",
"salutation": "Ms",
"emails": [
"jane.doe@acme.com"
],
"jobTitle": "Head of Product",
"description": "Key decision-maker at Acme Corp.",
"phoneNumber": "+4930123456789",
"primaryLocation": "Berlin, Germany",
"avatarUrl": null,
"company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>"
},
"socials": {
"linkedin": "https://linkedin.com/in/janedoe",
"twitter": null,
"facebook": null,
"instagram": null
},
"customAttributes": {},
"createdAt": "2025-01-15T09:00:00+00:00",
"updatedAt": "2025-06-01T12:00:00+00:00"
}
}{
"message": "Unauthenticated."
}{
"success": true,
"message": "<string>",
"status": 123
}{
"success": true,
"message": "<string>",
"status": 123
}{
"message": "The given data was invalid.",
"errors": {
"field_name": [
"The field_name field is required."
]
}
}Social links
To update individual social links without overwriting the others, include only the keys you want to change insidesocials:
{
"socials": {
"linkedin": "https://linkedin.com/in/updated"
}
}
linkedin only. twitter, facebook, and instagram are unchanged.Authorizations
Path Parameters
UUID of the person record to update.
Body
Response
OK
true
200
A CRM person record.
Hide child attributes
Hide child attributes
Unique identifier for the person record.
"b2c3d4e5-f6a7-8901-bcde-f23456789012"
First name.
"Jane"
Last name.
"Doe"
Salutation or title (e.g. Mr, Ms, Dr).
"Ms"
List of email addresses. The first entry is the primary email.
["jane.doe@acme.com"]Job title or role.
"Head of Product"
Free-text description or notes about the person.
"Key decision-maker at Acme Corp."
Primary phone number.
"+4930123456789"
Primary location or city.
"Berlin, Germany"
URL of the person's avatar image.
null
Key/value pairs for custom attributes defined on the people object.
{}ISO 8601 timestamp when the record was created.
"2025-01-15T09:00:00+00:00"
ISO 8601 timestamp when the record was last updated.
"2025-06-01T12:00:00+00:00"
